> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chatgrid.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Nodes

> Returns a paginated list of nodes on a board.

<RequestExample>
  ```bash cURL theme={null}
  curl "https://api.chatgrid.ai/v1/boards/a1b2c3d4-e5f6-7890-abcd-ef1234567890/nodes?type=note&limit=20" \
    -H "Authorization: Bearer cgk_live_a1b2c3d4e5f6g7h8i9j0k1l2m3n4o5p6"
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "object": "list",
    "data": [
      {
        "id": "e5f6a7b8-c9d0-1234-efab-345678901234",
        "node_type": "note",
        "position_x": 250.5,
        "position_y": 120.0,
        "node_data": { "label": "Research Note", "text": "Follow up with the data team." },
        "parent_node_id": null,
        "created_at": "2026-03-15T10:31:00.000Z",
        "updated_at": "2026-03-15T10:31:00.000Z"
      }
    ],
    "has_more": false,
    "cursor": null
  }
  ```
</ResponseExample>
